<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 *
 * @package    PTA
 * @subpackage Event
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */
class Model_EVENT extends ORM_TSM {
	protected $_table_name = 'EVENTS';
	protected $_primary_key = 'NODE_NAME'; // We need a primary key to detect that the object is loaded.
	protected $_sorting = array(
		'SCHEDULED_START'=>'ASC',
		'NODE_NAME'=>'ASC',
	);

	protected $_display_filters = array(
		'SCHEDULED_START'=>array(
			array('ORM_TSM::date',array(':value','d-M H:i')),
		),
		'ACTUAL_START'=>array(
			array('ORM_TSM::date',array(':value','d-M H:i')),
		),
		'COMPLETED'=>array(
			array('ORM_TSM::date',array(':value','d-M H:i')),
		),
	);
}
?>
